c++-gtk-utils

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Cgu::CFree Class Reference
handles and smart pointers

A deleter functor for use as the second (Dealloc) template parameter of the SharedHandle, SharedLockHandle or ScopedHandle template classes, which calls std::free. More...

`#include <c++-gtk-utils/shared_handle.h>`

## Public Member Functions
void | operator() (const void *obj) noexcept

## Detailed Description

A deleter functor for use as the second (Dealloc) template parameter of the SharedHandle, SharedLockHandle or ScopedHandle template classes, which calls std::free.

This functor enables those classes to manage memory allocated with std::malloc(), std::calloc() and std::realloc(). It can also be used as the second template parameter of std::unique_ptr objects.

## Member Function Documentation

## ◆ operator()()

void Cgu::CFree::operator() | ( | const void * | obj | ) |
| inline noexcept

The documentation for this class was generated from the following file:

- shared_handle.h